<!--#include file="../include/Conn.jsp"-->
<!--#include file="../include/Char.jsp"-->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../include/function.jsp"-->
<%
					dim PerPage				
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select * from info_ad where 1=1"
					mclassid=CheckStr(trim(request("classid")))
					 if mclassid<>"" then					 
					     if isnumeric(mclassid)=false then
                         Call Msgbox("对不起，搜索类别ID号发生错误！",1)
                         Response.end
                         end if
					   sql_c=sql_c&" and f_adclassid="&mclassid
					  
					 end if
					 m_area=CheckStr(trim(request("area")))
					 if m_area<>"" then
					 sql_c=sql_c&" and f_area='"&m_area&"'"
					 end if
					 m_keyword=CheckStr(trim(request("keyword")))
					 if m_keyword<>"" then
					 sql_c=sql_c&" and (f_title like '%"&m_keyword&"%' or f_content like '%"&m_keyword&"%')"
					 end if
					sql_c=sql_c&" order by f_regtime desc"
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=12
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if
					
				%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML 
xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE><%=mclassname%>-分类信息-<%=site_info(0)%></TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<META 
content=运城生活网,运城分类信息网,分类广告,分类信息,二手市场,租赁,买卖,生活便利,教育培训,求职招聘,房产物业,汽车车辆,综合服务 name=Keywords><LINK media=all 
href="css/style.css" type=text/css 
rel=stylesheet>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY><!-- 头  -->
<DIV id=topBar>
<DIV id=TBl>&nbsp;<A class=b href="../" target=_blank>运城生活网 - 
运城人的网上生活</A></DIV>
<DIV id=TBr><A 
href="../">首页</A> | <A href="../so/" 
target=_blank>本地搜</A> | <A href="../shop/">网上开店</A> | <A 
href="../info/" target=_blank>分类信息</A> | <A 
href="../club/photo_default.jsp" target=_blank>相册</A> | <A 
href="../club/qq_index.jsp" target=_blank>小圈子</A> | <A 
href="../blog/" target=_blank>博客</A> | <A 
href="../bbs/" target=_blank>社区</A>&nbsp;</DIV></DIV>
<DIV id=logoBar><A href="../index.jsp"><IMG id=logo 
src="img/logo.gif" border=0 name=logo></A> 
<DIV id=area>分类信息</DIV>
<DIV id=searchBar>
<FORM id=searchForm name=searchForm action=adinfos.jsp method=post><LABEL 
for=textfield>关键字:</LABEL> <INPUT id=KeyWord size=30 name=KeyWord> 
<SELECT 
                  id=select6 name=Classid  dataType="Require">
                            <OPTION value="">所有类别</OPTION>
							 <% 
	 classsql="select * from info_adclass order by f_id desc"
	  'classsql="select f_id,f_value from mall_shopcategory order by f_id desc"
	  Set rsclass=Conn.Execute(classSql)	  
	  do while not rsclass.eof 	  
	  %>      
    <OPTION value=<%=rsclass("f_id")%>><%=rsclass("f_value")%></OPTION>
	<%
	rsclass.movenext
	loop
	rsclass.close
	set rsclass=nothing
	%>             
      </SELECT> <INPUT id=searchSubmit type=submit value="搜 索" name=searchSubmit> 
</FORM></DIV></DIV>
<DIV id=mainBar>
<UL id=mainmenu>
  <LI><A href="index.jsp">&nbsp;&nbsp;首页&nbsp;&nbsp;</A> 
  <LI><A href="write_info.jsp">发布信息</A> 
  <LI><A href="manage_info.jsp">管理信息</A> 
  <LI><A href="help.html">&nbsp;&nbsp;帮助&nbsp;&nbsp;</A></LI>
</UL>
<DIV id=appendMenu><%if Request.Cookies("aspxnet")("CurUserName") = "" then%><A href="../club/login.jsp">登录</A><%else%> 

您已登陆<%end if%>- <A 
href="../club/Logout.jsp">退出</A> - <A 
href="../bbs/user/UserJoin.jsp" target="_blank">注册</A></DIV>
<DIV class=clear></DIV></DIV><!-- 头  /-->
<DIV id=main>
<DIV id=list_mainL>
<DIV id=listTitle>
<DIV id=listTitleL><!--TMPL_VAR NAME=num条信息-->&nbsp; 
<H2><%=mclassname%></H2></DIV>
<DIV id=listTitleR>共<SPAN 
                              id=ctl00_centerContent_shumu 
                              style="COLOR: red"><%=Cstr(rs_c.RecordCount)%></SPAN>个 
                        共<SPAN 
                              id=ctl00_centerContent_lblRecordCount 
                              style="COLOR: red"><%=Cstr(rs_c.pagecount)%></SPAN>页&nbsp; 
                        当前第<SPAN 
                              id=ctl00_centerContent_lblCurrentPage 
                              style="COLOR: red"><%=CurrentPage%></SPAN>页
&nbsp;</DIV></DIV>
<DIV id=listCTop>
<DIV id=listCell1>主题</DIV>
<DIV id=listCell2>人气</DIV>
<DIV id=listCell3>地区</DIV>
<DIV id=listCell4>发布日期</DIV></DIV>
<DIV id=listC>
<%
if not rs_c.eof then
i=1
do while not rs_c.eof
%>
<DIV id=listCell>
<DIV id=listC1><A 
            href="showinfo.jsp?id=<%=rs_c("f_id")%>" 
            target=_blank><%=rs_c("f_title")%></A></DIV>
<DIV class=color27A200 id=listC2><%=rs_c("f_hits")%></DIV>
<DIV id=listC3><%
			 mSql="Select F_ID,F_Value From T_areaType where f_id="&rs_c("f_area")
			 Set rst = conn.Execute(mSql)
			 if not rst.eof then
			%>
			<%=rst("f_value")%>
			<%
			end if 
			rst.close
			set rst=nothing
			%></DIV>
<DIV id=listC4><%=datevalue(rs_c("f_regtime"))%></DIV>
<DIV 
id=listC6><%=GetWord(rs_c("f_content"),120,"...")%></DIV></DIV>
<%
if i >= Perpage then exit do
i=i+1
rs_c.movenext
loop
end if
%>
</DIV>
<DIV id=listBottom>
<DIV id=listTitleL>
<H2><%=mclassname%></SPAN></H2></DIV>
<DIV id=listTitleR><BR> 
                        <% If currentpage > 1 Then  %>
                        &nbsp;<a href='?classid=<%=mclassID%>&shopid=<%=m_shopid%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
                        &nbsp;<a href='?classid=<%=mclassID%>&shopid=<%=m_shopid%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
                        &nbsp; 
                        <% Else  %>
                        &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
                        &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
                        <% end if %>
                        <%
			  if rs_c.pagecount>4 then
			  n_star=currentpage
			  n_end=currentpage+3
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			  %>
                        <% FOR n=n_star to n_end %>
                        <% if n>rs_c.pagecount then  exit for  end if%>
                        &nbsp;<a href='infoclass<%=mclassID%>-<%=n%>.html'><FONT color=#ff0000><B><%=n%></B></FONT></a> 
                        <%
					  next
					  %>
                        <% If currentpage < Rs_c.PageCount Then %>
                        &nbsp;<a href='infoclass<%=mclassID%>-<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
                        &nbsp;<a href='infoclass<%=mclassID%>-<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
                        <% else %>
                        &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
                        &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
                        <% end if %>
                      
&nbsp;</DIV></DIV></DIV>
<DIV id=list_mainR>
<DIV class=detailSearch id=detailSearch>
<DIV id=detailSHTitle>分类搜索</DIV>
<DIV id=detailSHRange>
<DIV id=rangeSelect><!--<h4>范围选择</h4>-->
<DIV class=smallCate><% 
	 classsql="select * from info_adclass order by f_id asc"
	  'classsql="select f_id,f_value from mall_shopcategory order by f_id desc"
	  Set rsclass=Conn.Execute(classSql)
	  i=1
	  do while not rsclass.eof 	  
	  %>      
	    <a href="adInfoList.jsp?ClassID=<%=rsclass("f_id")%>"><%=rsclass("f_value")%></a> 
                      
		   <%
	   if i mod 1=0 then
	   response.write "<BR>"
	   end if
	  i=i+1
	  rsclass.movenext 
	  loop
	  rsclass.close
	  set rsclass=nothing
	  %><BR></DIV></DIV></DIV></DIV></DIV>
<DIV class=clear></DIV></DIV><!-- 尾  -->
<DIV id=bottom>　 <A class=list href="/about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="/about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="/about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="/about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="/about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="/so/Suggestion.jsp" target=_blank> 留言/投诉</A> <BR><%=Site_info(5)%> </DIV><!-- 尾  /--></BODY></HTML>
